@echo off
echo     =======================================================================
echo      SHELL SCRIPT TO GENERATE DATA NEEDED TO REPLICATE MANUSTCRIPT RESULTS 
echo     =======================================================================
echo        Please note that this process may take a long time, especially to   
echo                      obtain Figure 3 and performance data.                 
echo                Precalculated data is available for download at:            
echo           http://www.lpi.tel.uva.es/~jroyval/JSS_1266_Rep_data.tar.gz      
echo     =======================================================================
echo    
echo      Select data to generate. Multiple can be selected:
echo       1 - Generate ground truth data for Table 1.
echo       2 - Generate ground truth data for Figure 3.
echo       3 - Generate performance data for John Nolan's STABLE program.
echo     -----------------------------------------------------------------------
echo        Example: The input 1 2 3  will run steps 1, 2 and 3 in a row.
echo     -----------------------------------------------------------------------
set /p SEL=       Select steps and press [ENTER]: 
echo        In performance benchmarks:
set /p NTEST=            Select how many repetitions and press [ENTER]: 
echo %SEL%
echo %NTEST%
for %%i in (%SEL%) do (
  if %%i == 1 (
    echo      1 - Generate ground truth data for Table 1.
    echo.
	pushd nolanSTABLE\bin
	nolan_precision 1 1
	popd
	move nolanSTABLE\bin\nolan_precision_pdf_table_1.txt generated_data\
	echo.
	pushd nolanSTABLE\bin
    nolan_precision 1 2
	popd
	move nolanSTABLE\bin\nolan_precision_cdf_table_1.txt generated_data\
	echo.
  ) else if %%i == 2 (
    echo      2 - Generate ground truth data for Figure 3.
	echo   PDF
	pushd nolanSTABLE\bin
	nolan_precision 3 1
	popd
	move nolanSTABLE\bin\nolan_precision_pdf_figure_3.txt generated_data\
	echo   CDF
	pushd nolanSTABLE\bin
	nolan_precision 3 2
	popd
	move nolanSTABLE\bin\nolan_precision_cdf_figure_3.txt generated_data\
	echo.
  ) else if %%i == 3 (
    echo      3 - Generate performance data for Nolan STABLE
	echo   PDF
	pushd nolanSTABLE\bin
	nolan_performance 1 %NTEST%
	popd
	move nolanSTABLE\bin\nolan_performance_pdf_%NTEST%test.txt generated_data\
	echo   CDF
	pushd nolanSTABLE\bin
	nolan_performance 2 %NTEST%
	popd
	move nolanSTABLE\bin\nolan_performance_cdf_%NTEST%test.txt generated_data\
	echo.
  )
)