/* tests/introexample
 * 
 * Simple example program to introduce the use of Libstable.
 *
 * Copyright (C) 2013. Javier Royuela del Val
 *                     Federico Simmross Wattenberg
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3 of the License.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *  Javier Royuela del Val.
 *  E.T.S.I. Telecomunicación
 *  Universidad de Valladolid
 *  Paseo de Belén 15, 47002 Valladolid, Spain.
 *  jroyval@lpi.tel.uva.es    
 */
#include <stdio.h>
#include "stable.h"

int main (void)
{
  double alpha = 1.25, beta = 0.5, sigma = 1.0, mu = 0.0;
  int param = 0;
  double x = 10;
  StableDist *dist = stable_create(alpha,beta,sigma,mu,param);
  double pdf = stable_pdf_point(dist,x,NULL);
  printf("PDF(%g; %1.2f,%1.2f,%1.2f,%1.2f) = %1.15e\n",
                                   x,alpha,beta,sigma,mu,pdf);
  stable_free(dist);
  return 0;
}
