/* tests/introexample
 * 
 * Simple example program to introduce the use of Libstable.
 *
 * Copyright (C) 2013. Javier Royuela del Val
 *                     Federico Simmross Wattenberg
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3 of the License.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *  Javier Royuela del Val.
 *  E.T.S.I. Telecomunicación
 *  Universidad de Valladolid
 *  Paseo de Belén 15, 47002 Valladolid, Spain.
 *  jroyval@lpi.tel.uva.es    
 */

#include <stable.h>

int main(void) {
  double x[100],q[100],pdf[100],
         cdf[100],inv[100],rnd[100];
  double alpha=1.5, beta=0.5, sigma=2.0, mu=4.0;

  int seed = 1234;
  int i;
  
  StableDist * dist;
  
  for (i=0;i<100;i++) {
    x[i] = -5+i*0.1;
    q[i] = 0.01*(i+0.5);
  }

  
  dist=stable_create(alpha,beta,sigma,mu,0);
  stable_pdf(dist,x,100,pdf,NULL);
  stable_cdf(dist,x,100,cdf,NULL);
  stable_q(dist,q,100,inv,NULL);
  stable_rnd_seed(dist,seed);
  stable_rnd(dist,rnd,100);

  stable_fit_init(dist,rnd,100,NULL,NULL);
  stable_fit_koutrouvelis(dist,rnd,100);

  printf("Estimated parameters: %f %f %f %f\n",
     dist->alpha,dist->beta,dist->sigma,dist->mu_0);

  stable_free(dist);
  return 0;
}
