function [alpha, beta, reltol, times] = load_libstable_performance(func,threads,Ntest)
% txt2mat for stable_performance benchmark;

Nth = length(threads);

for ith = 1:Nth
    name = sprintf('libstable_performance_%s_%dth_%dtest.txt',func,threads(ith),Ntest);

    fid = fopen(name,'rt');
    if fid== -1
        error('Error while opening %s file',name);
    end

    Ntol   = fscanf(fid, 'NTOL %d\n',1);
    Ntests = fscanf(fid, 'NTESTS %d\n',1);
    funct  = fscanf(fid, 'FUNCTION %d\n',1);
    alpha  = fscanf(fid, 'ALPHA %f\n',1);
    beta   = fscanf(fid, 'BETA %f\n',1);

    for itol=1:Ntol
        reltol(itol)  = fscanf(fid, 'RELTOL %e\n',1);
        times(:,itol,ith) = fscanf(fid,'%f',Ntests);
        fscanf(fid,'\n',1);
    end


    fclose(fid);

end

end